############################################################################## 
#
# Copyright (c) 2002 Xilinx, Inc.  All rights reserved.
#
# Xilinx, Inc.
# XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS" AS A 
# COURTESY TO YOU.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION AS
# ONE POSSIBLE   IMPLEMENTATION OF THIS FEATURE, APPLICATION OR 
# STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS IMPLEMENTATION
# IS FREE FROM ANY CLAIMS OF INFRINGEMENT, AND YOU ARE RESPONSIBLE 
# FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE FOR YOUR IMPLEMENTATION.  
# XILINX EXPRESSLY DISCLAIMS ANY WARRANTY WHATSOEVER WITH RESPECT TO 
# THE ADEQUACY OF THE IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO 
# ANY WARRANTIES OR REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE 
# FROM CLAIMS OF INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY 
# AND FITNESS FOR A PARTICULAR PURPOSE.
# 
# File   : Makefile
# Company: Xilinx
#
# Makefile for libw.a
#
# $Id: Makefile,v 1.2.2.2 2003/03/13 23:32:23 mohan Exp $
#
##############################################################################

#CFLAGS = -O3 
LFLAGS = 
MYCFLAGS = 
OBJS = libprocess.o libthread.o libsema.o libmsgq.o libshm.o libmem.o libtimer.o libmutex.o

TOPDIR = ../../..
SYSTEMDIR = ../../../../../..
INCLUDEDIR = $(SYSTEMDIR)/include
INCLUDES = -I${TOPDIR}/include -I$(INCLUDEDIR)

# INCLUDES = -I$(TOPDIR)/include -I$(PROJDIR)/$(SYSTEMNAME)/include 
# LIBS = -L$(PROJDIR)/$(SYSTEMNAME)/lib
LIBSYSCALL = ${TOPDIR}/libw.a

all : $(LIBSYSCALL)

$(LIBSYSCALL): $(OBJS)
	$(AR) -r ${LIBSYSCALL} $(OBJS)
	make clean

%.o:%.c
	$(CC) $(CFLAGS) -c $< -o $@ $(INCLUDES)

%.o:%.s
	$(CC) $(CFLAGS) -c $< -o $@ 

clean:
	rm -f $(OBJS) 
